summaryrefslogtreecommitdiffstats
path: root/graphics
diff options
context:
space:
mode:
author Erik Falor2015-02-21 02:10:12 +0100
committer Willy Sudiarto Raharjo2015-02-21 02:10:12 +0100
commit18c579836f328b36f242a07f59f38e8218396183 (patch)
tree3344db49fa0114f1c0757173562f5911a1203a49 /graphics
parentf5649a819cc4c559203e3945103aafe135d95629 (diff)
downloadslackbuilds-18c579836f328b36f242a07f59f38e8218396183.tar.gz
graphics/aewan: Added (animation editor).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'graphics')
-rw-r--r--graphics/aewan/README31
-rw-r--r--graphics/aewan/aewan.SlackBuild99
-rw-r--r--graphics/aewan/aewan.info10
-rw-r--r--graphics/aewan/slack-desc19
4 files changed, 159 insertions, 0 deletions
diff --git a/graphics/aewan/README b/graphics/aewan/README
new file mode 100644
index 0000000000..9de36b53f8
--- /dev/null
+++ b/graphics/aewan/README
@@ -0,0 +1,31 @@
+Summary: Aewan is a multi-layered ascii-art/animation editor that produces
+both stand-alone cat-able art files and an easy-to-parse format for integration
+in your terminal applications. It is primarily designed for Linux, although it
+currently also compiles under FreeBSD and possibly other *NIX systems.
+
+More details: Aewan is a curses-based program that allows for the creation and
+editing of ascii art. The user is able to move the cursor around the screen by
+means of the arrow keys and 'paint' characters by pressing the corresponding
+keys. There are dialog boxes that allow the user to choose foreground and
+background colors, as well as bold and blink attributes. The user may also
+select rectangular areas of the canvas in order to move, copy and paste them.
+Aewan also supports 'intelligent' horizontal and vertical flipping (e.g.
+converts '\' to '/', etc).
+
+What sets Aewan apart from similar projects is the fact that it can work with
+multiple layers, and has the ability to turn transparency and visibility on and
+off for each layer. A layer dialog is provided through which the user can
+change the order of the layers. Thus, each layer can be edited independently in
+order to generate a composite drawing. Instead of using the layers for
+compositing, it is also possible to use the layers as frames for an animation,
+thus enabling the user to create ascii animations with Aewan.
+
+Aewan can export animations to a "less movie", that is, a regular file that
+will show the animation when when paged through in the 'less' pager or similar
+program (even Notepad will work if you don't need color). It can also export a
+shellscript which will play the animation on the terminal when executed.
+
+The file format is easy to parse, so it is easy to write a terminal-based
+application that uses the Aewan files to display onscreen. Currently it has
+been tested on the Linux terminal, rxvt, xterm, the Cygwin terminal and the
+FreeBSD console.
diff --git a/graphics/aewan/aewan.SlackBuild b/graphics/aewan/aewan.SlackBuild
new file mode 100644
index 0000000000..c4abe4149c
--- /dev/null
+++ b/graphics/aewan/aewan.SlackBuild
@@ -0,0 +1,99 @@
+#!/bin/sh
+
+# Slackware build script for aewan
+
+# Copyright 2015 Erik Falor West Valley City, Utah, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=aewan
+VERSION=${VERSION:-1.0.01}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a CHANGELOG COPYING README TODO $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/graphics/aewan/aewan.info b/graphics/aewan/aewan.info
new file mode 100644
index 0000000000..b4510a8b87
--- /dev/null
+++ b/graphics/aewan/aewan.info
@@ -0,0 +1,10 @@
+PRGNAM="aewan"
+VERSION="1.0.01"
+HOMEPAGE="http://aewan.sourceforge.net"
+DOWNLOAD="http://downloads.sourceforge.net/project/aewan/aewan/aewan-1.0.01/aewan-1.0.01.tar.gz"
+MD5SUM="89545338d1eba311297b520f9dc1b976"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Erik Falor"
+EMAIL="ewfalor@gmail.com"
diff --git a/graphics/aewan/slack-desc b/graphics/aewan/slack-desc
new file mode 100644
index 0000000000..33f7245452
--- /dev/null
+++ b/graphics/aewan/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+aewan: appname (animation editor)
+aewan:
+aewan: Aewan is a multi-layered ascii-art/animation editor that produces both
+aewan: stand-alone cat-able art files and an easy-to-parse format for
+aewan: integration in your terminal applications. It is primarily designed
+aewan: for Linux, although it currently also compiles under FreeBSD and
+aewan: other *NIX systems.
+aewan:
+aewan:
+aewan:
+aewan: